summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:56:11 +0200
committer Eric Hameleers <alien@slackbuilds.org>2010-05-11 14:56:11 +0200
commitb6dd041f0f8eb5b46de7bbb97de260c36bd23b99 (patch)
tree4d447b8cb4ff3ce44e7479e6544d809248f9f575
parentc0b7b653ee6bf4076213d9d26a4fc2c790fa3f3f (diff)
downloadslackbuilds-b6dd041f0f8eb5b46de7bbb97de260c36bd23b99.tar.gz
slackbuilds-b6dd041f0f8eb5b46de7bbb97de260c36bd23b99.tar.xz
libraries/SDL_gfx: Initial import
-rw-r--r--libraries/SDL_gfx/README10
-rw-r--r--libraries/SDL_gfx/SDL_gfx.SlackBuild81
-rw-r--r--libraries/SDL_gfx/SDL_gfx.info8
-rw-r--r--libraries/SDL_gfx/slack-desc11
4 files changed, 110 insertions, 0 deletions
diff --git a/libraries/SDL_gfx/README b/libraries/SDL_gfx/README
new file mode 100644
index 0000000000..53b20cb102
--- /dev/null
+++ b/libraries/SDL_gfx/README
@@ -0,0 +1,10 @@
+SDL_gfx Library.
+
+SDL graphics drawing primitives and other support functions. The
+SDL_gfx library evolved out of the SDL_gfxPrimitives code which
+provided basic drawing routines such as lines, circles or polygons
+and SDL_rotozoom which implemented a interpolating rotozoomer for
+SDL surfaces.
+
+homepage: http://www.ferzkopp.net/Software/SDL_gfx-2.0/
+
diff --git a/libraries/SDL_gfx/SDL_gfx.SlackBuild b/libraries/SDL_gfx/SDL_gfx.SlackBuild
new file mode 100644
index 0000000000..903e4c12d9
--- /dev/null
+++ b/libraries/SDL_gfx/SDL_gfx.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for: SDL_gfx
+# Written by (Michiel van Wessem <BP{k}>) (michiel@slackbuilds.org)
+
+# Copyright 2007 Michiel van Wessem (http://michielvwessem.wordpress.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified slightly by the SlackBuilds.org Project
+
+set -e
+
+PRGNAM=SDL_gfx
+VERSION=2.0.16
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS \
+ README README-rpm Docs/*"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TMP/$PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --with-x \
+ --disable-debug \
+ --disable-static \
+ --program-prefix="" \
+ --program-suffix=""
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/SDL_gfx/SDL_gfx.info b/libraries/SDL_gfx/SDL_gfx.info
new file mode 100644
index 0000000000..6415bbec1f
--- /dev/null
+++ b/libraries/SDL_gfx/SDL_gfx.info
@@ -0,0 +1,8 @@
+PRGNAM="SDL_gfx"
+VERSION="2.0.16"
+HOMEPAGE="http://www.ferzkopp.net/joomla/content/view/19/14/"
+DOWNLOAD="http://www.ferzkopp.net/Software/SDL_gfx-2.0/SDL_gfx-2.0.16.tar.gz"
+MD5SUM="22dc2d9d916197829f9342c490d2d02b"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="alien"
diff --git a/libraries/SDL_gfx/slack-desc b/libraries/SDL_gfx/slack-desc
new file mode 100644
index 0000000000..2a7f59f585
--- /dev/null
+++ b/libraries/SDL_gfx/slack-desc
@@ -0,0 +1,11 @@
+SDL_gfx: SDL_gfx Library.
+SDL_gfx:
+SDL_gfx: SDL graphics drawing primitives and other support functions. The
+SDL_gfx: SDL_gfx library evolved out of the SDL_gfxPrimitives code which
+SDL_gfx: provided basic drawing routines such as lines, circles or polygons
+SDL_gfx: and SDL_rotozoom which implemented a interpolating rotozoomer for
+SDL_gfx: SDL surfaces.
+SDL_gfx:
+SDL_gfx: homepage: http://www.ferzkopp.net/Software/SDL_gfx-2.0/
+SDL_gfx:
+SDL_gfx: